<h2>"<?php echo esc_html($form->forms_list[0]->name);?>" Form</h2>

<div id="poststuff">
	<div id="post-body" class="metabox-holder">
		<div id="post-body-content">

			<div class="postbox">

				<h2>Capture Hidden Fields</h2>

				<div class="inside">
					<div class="area_box">
						<p class="settings_desc">Capture values from the URL and add them to the Marketo form in a hidden field to be passed to Marketo when the form submits.</p>

						<form action="" method="post" enctype="multipart/form-data" id="form_hidden_fields">
							<table id="hidden_fields_table" class="form-data-table wp-list-table widefat striped">
								<thead>
									<tr>
										<th>Variable Location</th>
										<th>URL Variable Name</th>
										<th>Marketo Field</th>
										<th></th>
									</tr>
								</thead>
								<tbody>
								<?
								$hf_items = json_decode($db_form[0]->data_options);
								for($i=0; $i < count($hf_items->location); $i++){ ?>
									<tr>
										<td><select name="location[]" id="location[]" style="">
												<option value="url"<? if($hf_items->location[$i]=='url'){ ?> selected<? } ?>>From URL</option>
												<!--<option value="css_data"<? if($hf_items->location[$i]=='css_data'){ ?> selected<? } ?>>CSS Attr</option>-->
											</select>
										<td><input type="text" name="var_name[]" id="var_name[]" value="<?php echo esc_attr($hf_items->var_name[$i]);?>" placeholder="URL Variable" style=""></td>
										<td><input type="text" name="mrkto_field[]" id="mrkto_field[]" value="<? echo esc_attr($hf_items->mrkto_field[$i]);?>" placeholder="Marketo Field" style=""></td>
										<td style="width: 1px;"><a href="javascript:void(0);" class="remove_hf"><span class="dashicons dashicons-dismiss"></span></a></td>
									</tr>
								<? } ?>

								<tr class="no_color">
									<td colspan="4"><a href="javascript:void(0)" class="add_hf_row"><span class="dashicons dashicons-plus"></span> Hidden Field</a></td>
								</tr>
								</tbody>
							</table>
							<input type="hidden" name="action" id="action" value="mrkto_save_data">
							<input type="hidden" name="form_id" id="form_id" value="<?php echo esc_attr($db_form[0]->id);?>">
							<div><br><input type="submit" name="submit" id="submit_hf" class="button button-primary" value="Save Changes"></div>
						</form>
					</div>
				</div>

			</div>


			<div class="postbox">

				<h2>Thank You Page</h2>

				<div class="inside">
					
					<div class="area_box">
						<p class="settings_desc">Send the user to a specific Thank You page based on conditions that are met.  Multiple sets of conditions can be used (each being seperated by the final 'Then Go to URL' statements).</p>

						<form action="" method="post" enctype="multipart/form-data" id="form_ty_option">
							<table id="thank_you_table" class="form-data-table wp-list-table widefat striped">
								<tbody>
								<?php
								$ty_items = json_decode($db_form[0]->ty_options);
								for($i=0; $i < count($ty_items->field); $i++){ ?>
									<tr<?php if($ty_items->field[$i]=='ty_url'){ ?> class="ty_row"<? } ?>>
										<td style="width: 1px;"><span class="dashicons dashicons-sort"></span></td>
										<td><select name="field[]" id="field[]" class="ty_field" style="">
												<?php
												foreach($fields->forms_list as $item) {
													if($item->label > ''){ ?>
														<option value="<?php echo esc_attr($item->id);?>"<? if($ty_items->field[$i] == $item->id){ ?> selected<? } ?>>If '<?php echo esc_html($item->label);?>'</option>
													<?php }
												} ?>
												<option value="ty_url"<? if($ty_items->field[$i]=='ty_url'){ ?> selected<? } ?>>Then go to URL</option>
											</select>
										<td>
											<select name="operation[]" id="operation[]" class="operation_dd<? if($ty_items->field[$i]=='ty_url'){ ?> hide<? } ?>" style="">
												<option value="equals"<? if($ty_items->operation[$i]=='equals'){ ?> selected<? } ?>>Equals</option>
												<option value="greater"<? if($ty_items->operation[$i]=='greater'){ ?> selected<? } ?>>Greater than</option>
												<option value="less"<? if($ty_items->operation[$i]=='less'){ ?> selected<? } ?>>Less than</option>
												<option value="not_equal"<? if($ty_items->operation[$i]=='not_equal'){ ?> selected<? } ?>>Not equal to</option>
											</select>
											<input type="text" name="ty_url[]" id="ty_url[]" class="ty_url_field<? if($ty_items->field[$i]!='ty_url'){ ?> hide<? } ?>" value="<?php echo esc_attr($ty_items->ty_url[$i]);?>" placeholder="Thank You URL">
										</td>
										<td><input type="text" name="value[]" id="value[]" class="ty_value<? if($ty_items->field[$i]=='ty_url'){ ?> hide<? } ?>" value="<?php echo esc_attr($ty_items->value[$i]);?>" placeholder="Value"></td>
										<td style="width: 1px;"><a href="javascript:void(0);" class="remove_ty"><span class="dashicons dashicons-dismiss"></span></a></td>
									</tr>
								<? } ?>

								<tr class="no_color">
									<td colspan="4"><a href="javascript:void(0)" class="add_ty_row"><span class="dashicons dashicons-plus"></span> Rule/URL</a></td>
								</tr>
								</tbody>
							</table>
							<input type="hidden" name="action" id="action" value="mrkto_save_ty_data">
							<input type="hidden" name="form_id" id="form_id" value="<?php echo esc_attr($db_form[0]->id);?>">
							<div><br><input type="submit" name="submit" id="submit_ty" class="button button-primary" value="Save Changes"></div>
						</form>
					</div>




					<div class="hide" id="form_templates">
						<div id="template_hf_row">
							<table>
								<tbody>
									<tr>
										<td><select name="location[]" id="location[]" style="">
												<option value="url">From URL</option>
												<!--<option value="css_data">CSS Data Attr</option>-->
											</select>
										<td><input type="text" name="var_name[]" id="var_name[]" value="" placeholder="URL Variable" style=""></td>
										<td><input type="text" name="mrkto_field[]" id="mrkto_field[]" value="" placeholder="Marketo Field" style=""></td>
										<td style="width: 1px;"><a href="javascript:void(0);" class="remove_hf"><span class="dashicons dashicons-dismiss"></span></a></td>
									</tr>
								</tbody>
							</table>
						</div>
						<div id="template_ty_row">
							<table>
								<tbody>
									<tr>
										<td style="width: 1px;"><span class="dashicons dashicons-sort"></span></td>
										<td><select name="field[]" id="field[]" class="ty_field" style="">
												<? foreach($fields->forms_list as $item){
													if($item->label>''){ ?><option value="<?php echo esc_attr($item->id);?>">If '<?php echo esc_attr($item->label);?>'</option><? }
												} ?>
												<option value="ty_url">Then go to URL</option>
											</select>
										<td>
											<select name="operation[]" id="operation[]" class="operation_dd<? if($ty_items->field[$i]=='ty_url'){ ?> hide<? } ?>" style="">
												<option value="equals">Equals</option>
												<option value="greater">Greater than</option>
												<option value="less">Less than</option>
												<option value="not_equal">Not equal to</option>
											</select>
											<input type="text" name="ty_url[]" id="ty_url[]" class="ty_url_field hide" value="<?php echo esc_attr($ty_items->ty_url[$i]);?>" placeholder="Thank You URL">
										</td>
										<td><input type="text" name="value[]" id="value[]" class="ty_value" value="<?php esc_attr($ty_items->value[$i]);?>" placeholder="Value"></td>
										<td style="width: 1px;"><a href="javascript:void(0);" class="remove_ty"><span class="dashicons dashicons-dismiss"></span></a></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>


				</div>

			</div>





			<div class="postbox">

				<h2>Form Style</h2>

				<div class="inside">

					<div class="area_box">
						<p class="settings_desc">Us the default style or create your own below.</p>

						<div id="form_styles_area">
							<form action="" method="post" enctype="multipart/form-data" id="form_styling">
								<p><select name="style_id" id="style_id" style="max-width:300px;">
										<option value="-2"<? if($db_form[0]->style_id==-2){ ?> selected<? } ?>>No Style</option>
										<option value="-1"<? if($db_form[0]->style_id==-1){ ?> selected<? } ?>>Default Style</option>
										<?php foreach($styles as $style){ ?>
											<option value="<?php echo esc_attr($style->id);?>"<?php if($db_form[0]->style_id==$style->id){ ?> selected<? } ?>><?php echo esc_attr($style->style_name);?></option>
										<?php } ?>
										<option value="0">+ Create Style</option>
									</select> <span id="remove_style_link"><a href="javascript:void(0)" style="color:#a00;">remove</a></span></p>
								<p id="create_style_area" class="hide">
									loading...
								</p>
								<p>
									<input type="hidden" name="action" id="action" value="mrkto_save_style">
									<input type="hidden" name="form_id" id="form_id" value="<?php echo esc_attr($db_form[0]->id);?>">
									<input type="submit" name="submit" id="submit_sty" class="button button-primary" value="Save Changes">
								</p>
							</form>
						</div>
					</div>
				</div>
			</div>


		</div>
	</div>
	<br class="clear">
</div>





<script>
	// Submit hidden field
	jQuery('#form_hidden_fields').submit(function(event){
		jQuery('#submit_hf').val('Saving...');
		jQuery.ajax({
			url:'<?php echo esc_url($ajax_url);?>',
			type:'post',
			data:jQuery('#form_hidden_fields').serialize()
		}).done(function(data){
			jQuery('#submit_hf').val('Saved');
			setTimeout(function(){
				jQuery('#submit_hf').val('Save Changes');
			},2000);
		});

		event.preventDefault();
		return false;
	});


	// Submit thank you option
	jQuery('#form_ty_option').submit(function(event){
		jQuery('#submit_ty').val('Saving...');
		jQuery.ajax({
			url:'<?php echo esc_url($ajax_url);?>',
			type:'post',
			data:jQuery('#form_ty_option').serialize()
		}).done(function(data){
			jQuery('#submit_ty').val('Saved');
			setTimeout(function(){
				jQuery('#submit_ty').val('Save Changes');
			},2000);
		});

		event.preventDefault();
		return false;
	});


	// Submit style
	jQuery('#form_styling').submit(function(event){
		jQuery('#submit_sty').val('Saving...');
		if( jQuery('#style_id').val() == 0 && jQuery('#style_name').val()==''){
			alert('Style Name is required for creating a new style');
			jQuery('#submit_sty').val('Save Changes');

		} else {
			jQuery.ajax({
				url: '<?php echo esc_url($ajax_url);?>',
				type: 'post',
				data: jQuery('#form_styling').serialize()
			}).done(function (data) {
				jQuery('#submit_sty').val('Saved');
				setTimeout(function () {
					if( jQuery('#style_id').val() > -1) mrkto_show_form(<?php echo esc_html($form->forms_list[0]->id);?>);
					jQuery('#submit_sty').val('Save Changes');

				}, 2000);
			});
		}
		event.preventDefault();
		return false;
	});







	jQuery(document).on('click', '.remove_hf, .remove_ty', function(){
		jQuery(this).closest('tr').remove();
	});



	jQuery(document).on('change', '.ty_field', function(){
		if( jQuery(this).val() == 'ty_url') {
			jQuery(this).parent().parent().find('.operation_dd').hide();
			jQuery(this).parent().parent().find('.ty_url_field').removeClass('hide');
			jQuery(this).parent().parent().find('.ty_value').addClass('hide');
			jQuery(this).parent().parent().find('.operation_dd').addClass('hide');
			jQuery(this).closest('tr').addClass('ty_row');
		} else {
			jQuery(this).parent().parent().find('.operation_dd').show();
			jQuery(this).parent().parent().find('.ty_url_field').addClass('hide');
			jQuery(this).parent().parent().find('.ty_value').removeClass('hide');
			jQuery(this).parent().parent().find('.operation_dd').removeClass('hide');
			jQuery(this).closest('tr').removeClass('ty_row');
		}
	});



	jQuery('.add_hf_row').click(function(){
		jQuery('#hidden_fields_table tr:last').before( jQuery('#template_hf_row table tbody').html() );
	});

	jQuery('.add_ty_row').click(function(){
		jQuery('#thank_you_table tr:last').before( jQuery('#template_ty_row table tbody').html() );
	});


	jQuery('#style_id').change(function(){
		jQuery('#create_style_area').html('loading...');
		if( jQuery(this).val() == -2) jQuery('#create_style_area').addClass('hide');
		else if( jQuery(this).val() == -1) jQuery('#create_style_area').addClass('hide');
		else {
			jQuery('#create_style_area').removeClass('hide');
			jQuery('#create_style_area').load('<?php echo esc_url($ajax_url);?>', {
				'action': 'mrkto_get_style',
				'style_id': jQuery('#style_id').val()
			});
		}
	});



	jQuery( '#remove_style_link a' ).click(function(){
		if( confirm('Are you sure you want to remove this style?') ){
			var remove_id = jQuery('#style_id').val();
			jQuery.ajax({
				url: '<?php echo esc_url($ajax_url);?>',
				type: 'post',
				data: {
					style_id:remove_id,
					action:'mrkto_remove_style'
				}
			}).done(function (data) {
				jQuery("#style_id option[value='"+remove_id+"']").remove();
				alert('Style removed');
			});
		}
	});



	jQuery( function() {
		jQuery( "#thank_you_table tbody" ).sortable();

		if(jQuery('#style_id').val()>0) {
			jQuery('#create_style_area').removeClass('hide');
			jQuery('#create_style_area').load('<?php echo esc_url($ajax_url);?>', {
				'action': 'mrkto_get_style',
				'style_id': jQuery('#style_id').val()
			});
		}
	} );
</script>